clan::DomNamedNodeMap Class Reference - ClanLib SDK
Description: clan::DomNamedNodeMap Class Reference

Public Member Functions | Protected Member Functions | Protected Attributes | Friends | List of all members
clan::DomNamedNodeMap Class Reference
clanXML XML

DOM Named Node Map class. More...

`#include <dom_named_node_map.h>`

## Public Member Functions
| DomNamedNodeMap ()
| Constructs a DOM NamedNodeMap handle.
| DomNamedNodeMap (const DomNamedNodeMap &copy)
| Constructs a DomNamedNodeMap.
| ~DomNamedNodeMap ()
unsigned long | get_length () const
| The number of nodes in the map.
DomNode | get_named_item (const DomString &name) const
| Retrieves a node specified by name.
DomNode | get_named_item_ns (const DomString &namespace_uri, const DomString &local_name) const
| Retrieves a node specified by namespace URI and local name.
DomNode | item (unsigned long index) const
| Returns the indexth item in the map.
DomNode | remove_named_item (const DomString &name)
| Removes a node specified by name.
DomNode | remove_named_item_ns (const DomString &namespace_uri, const DomString &local_name)
| Removes a node specified by namespace URI and local name.
DomNode | set_named_item (const DomNode &node)
| Adds a node using its node name attribute.
DomNode | set_named_item_ns (const DomNode &node)
| Adds a node using its namespace URI and local name.

## Protected Member Functions
| DomNamedNodeMap (const std::shared_ptr< DomNamedNodeMap_Impl > &impl)

## Protected Attributes
std::shared_ptr< DomNamedNodeMap_Impl > | impl

## Friends
class | DomNode

## Detailed Description

DOM Named Node Map class.

Objects implementing the NamedNodeMap interface are used to represent collections of nodes that can be accessed by name. Note that NamedNodeMap does not inherit from NodeList; NamedNodeMaps are not maintained in any particular order. Objects contained in an object implementing NamedNodeMap may also be accessed by an ordinal index, but this is simply to allow convenient enumeration of the contents of a NamedNodeMap, and does not imply that the DOM specifies an order to these Nodes.

## Constructor & Destructor Documentation

## ◆ DomNamedNodeMap() [1/3]

clan::DomNamedNodeMap::DomNamedNodeMap | ( |  | ) |

Constructs a DOM NamedNodeMap handle.

Referenced by DomNamedNodeMap().

## ◆ DomNamedNodeMap() [2/3]

clan::DomNamedNodeMap::DomNamedNodeMap | ( | const DomNamedNodeMap & | copy | ) |

Constructs a DomNamedNodeMap.

Parameters

  copy | = Dom Named Node Map

References DomNamedNodeMap().

## ◆ ~DomNamedNodeMap()

clan::DomNamedNodeMap::~DomNamedNodeMap | ( |  | ) |

## ◆ DomNamedNodeMap() [3/3]

clan::DomNamedNodeMap::DomNamedNodeMap | ( | const std::shared_ptr< DomNamedNodeMap_Impl > & | impl | ) |
| protected

References impl.

## Member Function Documentation

## ◆ get_length()

unsigned long clan::DomNamedNodeMap::get_length | ( |  | ) | const

The number of nodes in the map.

## ◆ get_named_item()

DomNode clan::DomNamedNodeMap::get_named_item | ( | const DomString & | name | ) | const

Retrieves a node specified by name.

References DomNode.

## ◆ get_named_item_ns()

DomNode clan::DomNamedNodeMap::get_named_item_ns | ( | const DomString & | namespace_uri,
|  | const DomString & | local_name ) const

Retrieves a node specified by namespace URI and local name.

References DomNode.

## ◆ item()

DomNode clan::DomNamedNodeMap::item | ( | unsigned long | index | ) | const

Returns the indexth item in the map.

If index is greater than or equal to the number of nodes in the map, this returns null.

References DomNode.

## ◆ remove_named_item()

DomNode clan::DomNamedNodeMap::remove_named_item | ( | const DomString & | name | ) |

Removes a node specified by name.

If the removed node is an Attr with a default value it is immediately replaced.

Parameters

  name | The name of a node to remove. retval: The node removed from the map or null if no node with such a name exists.

References DomNode.

## ◆ remove_named_item_ns()

DomNode clan::DomNamedNodeMap::remove_named_item_ns | ( | const DomString & | namespace_uri,
|  | const DomString & | local_name )

Removes a node specified by namespace URI and local name.

If the removed node is an Attr with a default value it is immediately replaced.

Returns
  The node removed from the map or null if no node with such a name exists.

References DomNode.

## ◆ set_named_item()

DomNode clan::DomNamedNodeMap::set_named_item | ( | const DomNode & | node | ) |

Adds a node using its node name attribute.

As the node name attribute is used to derive the name which the node must be stored under, multiple nodes of certain types (those that have a "special" string value) cannot be stored as the names would clash. This is seen as preferable to allowing nodes to be aliased.

Parameters

  node | A node to store in a named node map. The node will later be accessible using the value of the node name attribute of the node. If a node with that name is already present in the map, it is replaced by the new one. retval: If the new Node replaces an existing node with the same name the previously existing Node is returned, otherwise null is returned.

References DomNode.

## ◆ set_named_item_ns()

DomNode clan::DomNamedNodeMap::set_named_item_ns | ( | const DomNode & | node | ) |

Adds a node using its namespace URI and local name.

If a node with that namespace URI and that local name is already present in this map, it is replaced by the new one.

References DomNode.

## Friends And Related Symbol Documentation

## ◆ DomNode

friend class DomNode
| friend

References DomNode.

Referenced by DomNode, get_named_item(), get_named_item_ns(), item(), remove_named_item(), remove_named_item_ns(), set_named_item(), and set_named_item_ns().

## Member Data Documentation

## ◆ impl

std::shared_ptr<DomNamedNodeMap_Impl> clan::DomNamedNodeMap::impl
| protected

Referenced by DomNamedNodeMap().

The documentation for this class was generated from the following file:

- dom_named_node_map.h